<?php
namespace Modules\Newsletter\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Modules\Newsletter\Models\Newsletter;
use Modules\User\Models\User;

class NewsletterReply extends Model
{
    protected $fillable = ['reply', 'visitor_email', 'user_id', 'newsletter_id'];

    /**
     * Return message for multi replies
     * @return BelongsTo
     */
    public function newsletter() :BelongsTo
    {
        return $this->belongsTo(Newsletter::class);
    }
    public function user() :BelongsTo
    {
        return $this->belongsTo(User::class);
    }
}
